Page 1 of 1

Unable to locate package hostapd on stretch

Posted: Wed Apr 04, 2018 7:15 pm
by Severian
Howdy,
I started from the latest download at this time(april 2, 2018) I did the apt update and upgrade. Then I tried to install the software to make my Zero W an access point.
sudo apt install dnsmasq hostapd

and I get an error "E: Unable to locate package hostapd"

I see an announcement about new wireless drivers recently. Has hostapd been removed until a newer, compatible version is available? Do I need to add another source to sources.list? I have just the one active source.
Have a good day,
Ralph

Re: Unable to locate package hostapd on stretch

Posted: Wed Apr 04, 2018 8:29 pm
by B.Goode
I can see you've done it, but try

Code: Select all

sudo apt update
again, before retrying

Code: Select all

sudo apt install dnsmasq hostapd

Re: Unable to locate package hostapd on stretch

Posted: Wed Apr 04, 2018 11:19 pm
by Severian
Howdy,
I successfully installed hostapd after running update again. I can see 2 possible reasons.
1. Th epackage got added in the last couple of hours.
2. I ggot a bad repo update before without showing any errors.
This is not that important now, because I got the package. But, I am curious. Why do you think it worked now?
Thank you for your help.
Ralph

Re: Unable to locate package hostapd on stretch

Posted: Thu Apr 05, 2018 2:07 am
by klricks
Severian wrote:
Wed Apr 04, 2018 11:19 pm
Howdy,
I successfully installed hostapd after running update again. I can see 2 possible reasons.
1. Th epackage got added in the last couple of hours.
2. I ggot a bad repo update before without showing any errors.
This is not that important now, because I got the package. But, I am curious. Why do you think it worked now?
Thank you for your help.
Ralph
Normally running apt update is good for hours or up to a day or two.
For some reason recently apt update must be done again after apt upgrade before installing anything else.
I normally always do sudo apt update before installing anything.

Re: Unable to locate package hostapd on stretch

Posted: Thu Apr 05, 2018 6:30 am
by ShiftPlusOne
A recent update modified /etc/apt/sources.list, which made it necessary to run apt update again afterwards.

Re: Unable to locate package hostapd on stretch

Posted: Thu Apr 19, 2018 7:00 pm
by cliquot22
I am having the same problem. I can't install the hostapd package (package not found). I've tried

Code: Select all

sudo apt-get update
and

Code: Select all

sudo apt update
but neither solved the issue.

Is there something else I can try?

Re: Unable to locate package hostapd on stretch

Posted: Thu Apr 19, 2018 9:16 pm
by ShiftPlusOne
cliquot22 wrote:
Thu Apr 19, 2018 7:00 pm
I am having the same problem. I can't install the hostapd package (package not found). I've tried

Code: Select all

sudo apt-get update
and

Code: Select all

sudo apt update
but neither solved the issue.

Is there something else I can try?
What's the output of 'apt-cache policy'?

Re: Unable to locate package hostapd on stretch

Posted: Thu Apr 26, 2018 10:51 am
by tinkerbell18
Hi,
I'm having the same problem.
the output I get is:
Package files:
100 /var/lib/dpkg/status
release a=now
500 http://archive.raspberrypi.org/debian stretch/ui armhf Packages
release o=Raspberry Pi Foundation,a=stable,n=stretch,l=Raspberry Pi Foundation,c=ui,b=armhf
origin archive.raspberrypi.org
500 http://archive.raspberrypi.org/debian stretch/main armhf Packages
release o=Raspberry Pi Foundation,a=stable,n=stretch,l=Raspberry Pi Foundation,c=main,b=armhf
origin archive.raspberrypi.org
Pinned packages:

Does this help?

Re: Unable to locate package hostapd on stretch

Posted: Tue Sep 04, 2018 8:43 am
by LucaVino
Hi,
did anyone solve this issue? I'm having the same problem. I did update and upgrade, nothing helps. The output of "apt-cache policy" is the same as above.
Thanks

Re: Unable to locate package hostapd on stretch

Posted: Tue Sep 04, 2018 12:25 pm
by ShiftPlusOne
if your 'apt policy' output is the same as posted above, you've messed up your /etc/apt/sources.list file.